# Mariposa makefile
ifndef P95
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for the executor module
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/devel/mariposa/cvs/src/backend/executor/Makefile.inc,v 0.8 1996/06/07 04:55:53 am Exp $
#
#-------------------------------------------------------------------------

VPATH:= $(VPATH):$(CURDIR)/executor

SRCS_EXECUTOR= execAmi.c execFlatten.c execJunk.c execMain.c \
	execProcnode.c execQual.c execScan.c execTuples.c \
	execUtils.c functions.c nodeAppend.c nodeAgg.c nodeBuffer.c \
	nodeExchangein.c nodeHash.c nodeHashjoin.c nodeIndexscan.c \
	nodeMaterial.c nodeMerge.c nodeMergejoin.c \
	nodeNestloop.c nodeResult.c nodeSeqscan.c nodeSort.c \
	nodeUnique.c nodeGroup.c

HEADERS+= execFlatten.h execdebug.h execdefs.h execdesc.h \
	executor.h functions.h hashjoin.h nodeAgg.h nodeAppend.h \
	nodeBuffer.h nodeExchangein.h nodeHash.h nodeHashjoin.h \
	nodeIndexscan.h nodeMaterial.h nodeMerge.h nodeMergejoin.h \
	nodeNestloop.h nodeResult.h nodeSeqscan.h nodeSort.h \
	nodeUnique.h tuptable.h nodeGroup.h

# Postgres95 makefile
else # P95
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for the executor module
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/devel/mariposa/cvs/src/backend/executor/Makefile.inc,v 0.8 1996/06/07 04:55:53 am Exp $
#
#-------------------------------------------------------------------------

VPATH:= $(VPATH):$(CURDIR)/executor

SRCS_EXECUTOR= execAmi.c execFlatten.c execJunk.c execMain.c \
	execProcnode.c execQual.c execScan.c execTuples.c \
	execUtils.c functions.c nodeAppend.c nodeAgg.c nodeHash.c \
	nodeHashjoin.c nodeIndexscan.c nodeMaterial.c nodeMergejoin.c \
	nodeNestloop.c nodeResult.c nodeSeqscan.c nodeSort.c \
	nodeUnique.c nodeTee.c nodeGroup.c

HEADERS+= execFlatten.h execdebug.h execdefs.h execdesc.h \
	executor.h functions.h hashjoin.h nodeAgg.h nodeAppend.h \
	nodeHash.h nodeHashjoin.h nodeIndexscan.h nodeMaterial.h \
	nodeMergejoin.h nodeNestloop.h nodeResult.h  \
	nodeSeqscan.h nodeSort.h nodeUnique.h tuptable.h nodeTee.h \
	nodeGroup.h

endif # P95
