/*-------------------------------------------------------------------------
 *
 * pqa.h--
 *    ProcessQueryArg structures for xdr conversion
 *
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * $Id: pqa.h,v 1.4 1995/11/18 01:26:36 jsidell Exp $
 *
 *-------------------------------------------------------------------------
 */

/*
 * Defines types used in ProcessQueryArg (used in OfferBuffer.)
 * The reason for it is so that plannodes.h, etc don't have to be included
 * in rpc/queries.h and obj/queries.h, which makes a mess. Their xdr
 * functions are in nodes/xdrfuncs.c.				-Rex 95.1.16
 *
 * Added PQA_Node_list so can have list of RangeTblEntry's in Broker Arg's.
 *								-JPS 8/15/95
 *
 */

#ifndef PQA_H
#define PQA_H

typedef char *PQA_Plan_tree; /* Really a (Plan *) */
typedef char *PQA_Int_list;  /* Really a (List *) */

typedef char *PQA_Node_list; /* Really a (List *) */
#endif
