# Mariposa makefile
ifndef P95
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for the optimizer module
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/devel/mariposa/cvs/src/backend/optimizer/Makefile.inc,v 1.4 1996/06/07 04:57:08 am Exp $
#
#-------------------------------------------------------------------------

optdir=$(CURDIR)/optimizer
VPATH:=$(VPATH):$(optdir):\
	$(optdir)/path:$(optdir)/prep:$(optdir)/util:$(optdir)/plan

SUBSRCS=
include $(optdir)/path/Makefile.inc
include $(optdir)/prep/Makefile.inc
include $(optdir)/util/Makefile.inc
include $(optdir)/plan/Makefile.inc
SRCS_OPTIMIZER:= $(SUBSRCS)

HEADERS+= clauseinfo.h clauses.h cost.h internal.h joininfo.h keys.h \
	ordering.h pathnode.h paths.h plancat.h planmain.h \
	planner.h prep.h tlist.h var.h xfunc.h


# Postgres95 makefile
else # P95
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for the optimizer module
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/devel/mariposa/cvs/src/backend/optimizer/Makefile.inc,v 1.4 1996/06/07 04:57:08 am Exp $
#
#-------------------------------------------------------------------------

optdir=$(CURDIR)/optimizer
VPATH:=$(VPATH):$(optdir):\
	$(optdir)/path:$(optdir)/prep:$(optdir)/util:$(optdir)/plan

SUBSRCS=
include $(optdir)/path/Makefile.inc
include $(optdir)/prep/Makefile.inc
include $(optdir)/util/Makefile.inc
include $(optdir)/plan/Makefile.inc
SRCS_OPTIMIZER:= $(SUBSRCS)

HEADERS+= clauseinfo.h clauses.h cost.h internal.h joininfo.h keys.h \
	ordering.h pathnode.h paths.h plancat.h planmain.h \
	planner.h prep.h tlist.h var.h xfunc.h


endif # P95
