# Mariposa makefile
ifndef P95
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for port/alpha (Alpha OSF/1 specific stuff)
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/devel/mariposa/cvs/src/backend/port/alpha/Makefile.inc,v 0.9 1996/06/19 05:12:18 am Exp $
#
#-------------------------------------------------------------------------

CFLAGS+= -DUSE_POSIX_TIME -DDISABLE_XOPEN_NLS -DNEED_ISINF -DHAS_LONG_LONG

#LDADD+= -L/usr/local/lib
LDADD+=	-L$(srcdir)/lib
ifdef CDEBUG
LDADD+= -lrpc_gr
else
LDADD+= -lrpc_r
endif

# LDADD+= /usr/ccs/lib/libaio.a

#
# The YACC grammar is too big..
#
#.if !defined(CDEBUG)
##CFLAGS+= -Olimit 2000
#.endif

HEADERS+= machine.h port-protos.h

SUBSRCS= port.c
# Postgres95 makefile
else # P95
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for port/alpha (Alpha OSF/1 specific stuff)
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/devel/mariposa/cvs/src/backend/port/alpha/Makefile.inc,v 0.9 1996/06/19 05:12:18 am Exp $
#
#-------------------------------------------------------------------------

CFLAGS+= -DUSE_POSIX_TIME -DDISABLE_XOPEN_NLS -DNEED_ISINF -DHAS_LONG_LONG

LDADD+= -lln

#
# The YACC grammar is too big..
#
#.if !defined(CDEBUG)
##CFLAGS+= -Olimit 2000
#.endif

HEADERS+= machine.h port-protos.h

SUBSRCS= port.c
endif # P95
