# Mariposa makefile
ifndef P95
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for port/linux (Linux specific stuff)
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/devel/mariposa/cvs/src/backend/port/linux/Makefile.inc,v 0.4 1996/06/07 04:58:21 am Exp $
#
# NOTES
#    The Linux port is included here by courtesy of Kai Petzke.
#
#    (C) 1994, Kai Petzke, wpp@marie.physik.tu-berlin.de
#
#-------------------------------------------------------------------------

#
# linux has fast linkers and don't need the BIGOBJ stuff.
#
BIGOBJS= false


SUBSRCS+= dynloader.c # port.c
HEADERS+= machine.h port-protos.h

CFLAGS+= -DNEED_CBRT

LDADD+= -ldld
# Postgres95 makefile
else # P95
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for port/linux (Linux specific stuff)
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/devel/mariposa/cvs/src/backend/port/linux/Makefile.inc,v 0.4 1996/06/07 04:58:21 am Exp $
#
# NOTES
#    The Linux port is included here by courtesy of Kai Petzke.
#
#    (C) 1994, Kai Petzke, wpp@marie.physik.tu-berlin.de
#
#-------------------------------------------------------------------------

#
# linux has fast linkers and don't need the BIGOBJ stuff.
#
BIGOBJS= false


ifdef LINUX_ELF
CC=gcc
LDADD+= -ldl
CFLAGS+= -DLINUX_ELF
else
LDADD+= -ldld
SUBSRCS+= dynloader.c
endif

HEADERS+= machine.h port-protos.h
CFLAGS+= -DNEED_CBRT

endif # P95
