# Mariposa makefile
ifndef P95
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for port/sparc (SPARC/SunOS 4 specific stuff)
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/devel/mariposa/cvs/src/backend/port/sparc/Makefile.inc,v 0.5 1996/06/07 04:58:23 am Exp $
#
#-------------------------------------------------------------------------

CFLAGS+= -DUSE_POSIX_TIME

LDADD+= -ldl

#
# SunOS 4 strtol is broken -- doesn't report overflow using errno.
#
SUBSRCS= strtol.c

HEADERS+= float.h machine.h port-protos.h
# Postgres95 makefile
else # P95
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for port/sparc (SPARC/SunOS 4 specific stuff)
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/devel/mariposa/cvs/src/backend/port/sparc/Makefile.inc,v 0.5 1996/06/07 04:58:23 am Exp $
#
#-------------------------------------------------------------------------

CFLAGS+= -DUSE_POSIX_TIME

LDADD+= -lln -ldl

#
# SunOS 4 strtol is broken -- doesn't report overflow using errno.
#
SUBSRCS= strtol.c

HEADERS+= float.h machine.h port-protos.h
endif # P95
