# Mariposa makefile
ifndef P95
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for port/ultrix (Ultrix4.x specific stuff)
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/devel/mariposa/cvs/src/backend/port/ultrix4/Makefile.inc,v 0.5 1996/06/07 04:58:27 am Exp $
#
#-------------------------------------------------------------------------

CFLAGS+= -DNEED_ISINF -DUSE_POSIX_TIME

LDADD+= -ldl

#
# The YACC grammar is too big..
#
#.if !defined(CDEBUG)
#CFLAGS+= -Olimit 2000
#.endif

HEADERS+= dl.h machine.h port-protos.h

SUBSRCS+= dynloader.c port.c strdup.c
# Postgres95 makefile
else # P95
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for port/ultrix (Ultrix4.x specific stuff)
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/devel/mariposa/cvs/src/backend/port/ultrix4/Makefile.inc,v 0.5 1996/06/07 04:58:27 am Exp $
#
#-------------------------------------------------------------------------

CFLAGS+= -DNEED_ISINF -DUSE_POSIX_TIME

LDADD+= -ldl -lln

#
# The YACC grammar is too big..
#
#.if !defined(CDEBUG)
#CFLAGS+= -Olimit 2000
#.endif

HEADERS+= dl.h machine.h port-protos.h

SUBSRCS+= dynloader.c port.c strdup.c
endif # P95
