/*-------------------------------------------------------------------------
 *
 * nameserver.x--
 *    RPC protocol for name server queries
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * $Id: nameserver_mk.x,v 1.1 1996/02/21 06:52:06 marcel Exp $
 *
 *-------------------------------------------------------------------------
 */
#ifdef RPC_HDR
%#ifndef NAMESERVER_H
%#define NAMESERVER_H
%
%#include <rpc/rpc.h>
%#include <rpc/types.h>
%#include <sys/socket.h>
%#include <netdb.h>
%#include "exchange.h"
%#include "rpctypes.h"
#endif

typedef string RelnameString<16>;

struct NsvcLookupClassResult {
    RelnameString relname;
    Tuple classTuple;
    TupleArray attrTuples;
    RPCErrorCode error;
};

struct NsvcLookupFragsResult {
    int relid;
    TupleArray fragTuples;
    RPCErrorCode error;
};

#ifdef RPC_HDR
%#endif
#endif
