/*-------------------------------------------------------------------------
 *
 * optimizerRPC.x--
 *    
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * $Id: optimizerRPC.x,v 1.2 1995/04/24 18:59:00 andrew Exp $
 *
 *-------------------------------------------------------------------------
 */
#ifdef RPC_HDR
%#ifndef OPTIMIZERRPC_H
%#define OPTIMIZERRPC_H
%
%#include <rpc/rpc.h>
%#include <rpc/types.h>
%#include <sys/socket.h>
%#include <netdb.h>
%#include "exchange.h"
%#include "rpctypes.h"
#endif

struct OptimizerArg {
    	string planStr<>;
	string relidStr<>;
};

/*
 * Used to define the XDR conversion routine for
 * the output.
 */
struct OptimizerResult {
	float cost;
};

#ifdef RPC_HDR
%
%OptimizerResult *
%getQueryCost(OptimizerArg *arg);
%
%extern void handleCall_OPT_GETCOST(void *arg);
%
%#endif
#endif

