#define USER_QUERY  1
#define NOT_USER_QUERY 0

struct QueryInfo 
{
    char * next;
    float  cost;    	     /* cost of executing if platter is loaded */
    int  user;
    int  sel[2];                /* query selectivity in percent   */
    int rel[2];
    float arr_time;
    void *squery;
    ListX subQueryList;
};

typedef struct QueryInfo QueryData;
typedef struct QueryInfo * QueryPtr;
/*
 * from query.c
 */
extern char * GetQuery PROTO((int user));
extern void PrintQueryStruct PROTO((QueryPtr query));
extern int SS_JoinQuery PROTO((QueryPtr query));
extern float SS_QueryCost PROTO((QueryPtr query));
extern QueryPtr AllocQueryStruct PROTO((void));
extern void ReleaseQueryStruct PROTO((QueryPtr queryPtr));
extern void QueryDone PROTO((QueryPtr query));
extern void SS_InitQueries PROTO((void));


