# Mariposa makefile
ifndef P95
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for the traffic cop module
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/devel/mariposa/cvs/src/backend/tcop/Makefile.inc,v 0.17 1996/06/07 05:00:18 am Exp $
#
#-------------------------------------------------------------------------

VPATH:= $(VPATH):$(CURDIR)/tcop
SRCS_TCOP= aclchk.c broker.c brokerLong.c coord.c debug.c demo.c dest.c fastpath.c frag.c \
	schedule.c postgres.c pquery.c utility.c postgres_stubs.c asynchFrag.c

HEADERS+= broker.h brokerLong.h coord.h debug.h demo.h dest.h fastpath.h frag.h \
	pquery.h tcopdebug.h tcopprot.h utility.h

# Postgres95 makefile
else # P95
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for the traffic cop module
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/devel/mariposa/cvs/src/backend/tcop/Makefile.inc,v 0.17 1996/06/07 05:00:18 am Exp $
#
#-------------------------------------------------------------------------

VPATH:= $(VPATH):$(CURDIR)/tcop

SRCS_TCOP= aclchk.c dest.c fastpath.c postgres.c pquery.c utility.c

HEADERS+= dest.h fastpath.h pquery.h tcopdebug.h tcopprot.h utility.h
endif # P95
