/*-------------------------------------------------------------------------
 *
 * postgres_stubs.c--
 *    routines that are in the sitemgr but not compiled with the
 *    backend.
 *
 * Copyright (c) 1994-5, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *    $Header: /usr/local/devel/mariposa/cvs/src/backend/tcop/postgres_stubs.c,v 1.3 1995/09/15 23:13:51 asah Exp $
 *
 *-------------------------------------------------------------------------
 */
#include "utils/elog.h"
#include "namesvc.h"
#include "sitemgr/bidder.h"

Contract *contractsMade = NULL;

/*
 * tclEvaluate is only set up in the sitemgr
 */
void
tclEvaluate(char *stmt)
{
    elog(WARN, "Cannot call tclEvaluate inside the backend");
}
