/*-------------------------------------------------------------------------
 *
 * fmgrtab.h--
 *    
 *
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * $Id: fmgrtab.h,v 0.2 1996/06/07 05:00:45 am Exp $
 *
 *-------------------------------------------------------------------------
 */
#ifndef FMGRTAB_H
#define FMGRTAB_H

#include "postgres.h"		/* for ObjectId */
#include "fmgr.h"		/* genearated by Gen_fmgrtab.sh */

typedef struct {
    Oid		proid;
    uint16	nargs;
    func_ptr	func;
#ifdef P95
    char*       funcName;
#endif /* P95 */
} FmgrCall;

extern FmgrCall	*fmgr_isbuiltin(Oid id);
#ifdef P95
extern func_ptr fmgr_lookupByName(char* name);
#endif /* P95 */

#endif	/* FMGRTAB_H */
