/*-------------------------------------------------------------------------
 *
 * ledger.h--
 *    
 * Routines for inserting and querying the pg_ledger catalog.
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * $Id: ledger.h,v 1.1 1996/05/31 17:14:49 jsidell Exp $
 *
 *-------------------------------------------------------------------------
 */

#include "catalog/pg_ledger.h"
#include "postgres.h"
#include "access/htup.h"
#include "utils/rel.h"
#include "utils/planstring.h"
#include "executor/execdesc.h"
#include "tcop/coord.h"

extern void LedgerInsert(Form_pg_ledger newEntry);
extern void MakeLedgerEntries(QueryDesc *qd);
