/*-------------------------------------------------------------------------
 *
 * catalog.h--
 *    prototypes for functions in lib/catalog/catalog.c
 *
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * $Id: catalog.h,v 0.3 1996/06/07 04:54:40 am Exp $
 *
 *-------------------------------------------------------------------------
 */
#ifndef CATALOG_H
#define CATALOG_H

#include "access/tupdesc.h"

extern char *relpath(char relname[]);
#ifndef P95
extern bool issystem(char relname[]);
extern bool NameIsSystemRelationName(Name name);
extern bool NameIsSharedSystemRelationName(Name relname);
#else /* P95 */
extern bool IsSystemRelationName(char *relname);
extern bool IsSharedSystemRelationName(char *relname);
#endif /* P95 */
extern Oid newoid(void);
#ifndef P95
extern void fillatt(int natts , TupleDesc att);
#else /* P95 */
extern void fillatt(TupleDesc att);
#endif /* P95 */

#endif	/* CATALOG_H */
