/*-------------------------------------------------------------------------
 *
 * fragments.h--
 *    commands dealing with fragments
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * $Id: fragments.h,v 1.8 1996/01/28 00:27:37 searcher Exp $
 *
 *-------------------------------------------------------------------------
 */
#ifndef MOVEFRAG_H
#define MOVEFRAG_H

extern void FragmentMove(Oid fraclassid, Oid frastoreid, int newloc);
extern void FragmentTake(Oid fraclassid, Oid frastoreid, int sourceloc);
extern void FragmentCopy(Oid fraclassid, Oid frastoreid, int sourceloc,
			 int period, bool isreadonly, bool isnamesvc,
			 bool isnsspecific);
extern void SplitFragment(char *oldFragName, char *newFragName1,
			  char *newFragName2, char *splitVal);

#endif	/* MOVEFRAG_H */
