/*-------------------------------------------------------------------------
 *
 * version.h--
 *    Header file for versions.  
 *
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * $Id: version.h,v 0.2 1996/06/07 04:55:44 am Exp $
 *
 *-------------------------------------------------------------------------
 */
#ifndef VERSION_H
#define VERSION_H

#include "postgres.h"
#include "nodes/pg_list.h"

#ifndef P95
extern void CreateVersion(Name name, char *fromRelname, char *date);
extern void VersionCreate(Name vname, Name bname);
extern void VersionAppend(Name vname, Name bname);
extern void VersionRetrieve(Name vname, Name bname, char *snapshot);
extern void VersionDelete(Name vname, Name bname, char *snapshot);
extern void VersionReplace(Name vname, Name bname, char *snapshot);
#else /* P95 */
extern void DefineVersion(char *name, char *fromRelname, char *date);
extern void VersionCreate(char *vname, char *bname);
extern void VersionAppend(char *vname, char *bname);
extern void VersionRetrieve(char *vname, char *bname, char *snapshot);
extern void VersionDelete(char *vname, char *bname, char *snapshot);
extern void VersionReplace(char *vname, char *bname, char *snapshot);
#endif /* P95 */
    
#endif	/* VERSION_H */
