/*-------------------------------------------------------------------------
 *
 * nodeBuffer.h--
 *    header for nodeBuffer.c (TupleBuffer nodes)
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * $Id: nodeBuffer.h,v 1.4 1995/04/17 04:32:54 sunita Exp $
 *
 *-------------------------------------------------------------------------
 */
#ifndef	NODEBUFFER_H
#define	NODEBUFFER_H

extern TupleTableSlot *ExecBuffer(TupleBuffer *node);
extern bool ExecInitBuffer(TupleBuffer *node, EState *estate, Plan *parent);
extern int ExecCountSlotsBuffer(TupleBuffer *node);
extern void ExecEndBuffer(TupleBuffer *node);
extern void ExecBufferMarkPos(TupleBuffer *node);
extern void ExecBufferRestrPos(TupleBuffer *node);
extern void ExecBufferReScan(TupleBuffer *node, ExprContext *exprCtxt,
			     Plan* parent);
extern List * AccountBuffer(TupleBuffer * node);
#endif	/* NODEBUFFER_H */
