/*-------------------------------------------------------------------------
 *
 * nodeIndexscan.h--
 *    
 *
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * $Id: nodeIndexscan.h,v 0.5 1996/06/07 04:56:12 am Exp $
 *
 *-------------------------------------------------------------------------
 */
#ifndef	NODEINDEXSCAN_H
#define	NODEINDEXSCAN_H

#ifndef P95
extern TupleTableSlot *IndexNext(IndexScan *node);

#endif /* P95 */
extern TupleTableSlot *ExecIndexScan(IndexScan *node);

extern void ExecIndexReScan(IndexScan *node, ExprContext *exprCtxt, Plan *parent);

extern void ExecEndIndexScan(IndexScan *node);

extern void ExecIndexMarkPos(IndexScan *node);

extern void ExecIndexRestrPos(IndexScan *node);

extern void ExecUpdateIndexScanKeys(IndexScan *node, ExprContext *econtext);

extern bool ExecInitIndexScan(IndexScan *node, EState *estate, Plan *parent);

extern int ExecCountSlotsIndexScan(IndexScan *node);

#ifndef P95
extern List * AccountIndexScan(IndexScan * node);
#endif /* P95 */
#endif	/* NODEINDEXSCAN_H */
