/*-------------------------------------------------------------------------
 *
 * nodeMerge.h--
 *    header file for nodeMerge.c
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * $Id: nodeMerge.h,v 1.4 1995/04/20 01:23:10 sunita Exp $
 *
 *-------------------------------------------------------------------------
 */
#ifndef	NODEMERGE_H
#define	NODEMERGE_H

extern TupleTableSlot *ExecMerge(Merge *node);
extern bool ExecInitMerge(Merge *node, EState *estate, Plan *parent);
extern void ExecEndMerge(Merge *node);
extern int ExecCountSlotsMerge(Merge *node);
extern void ExecMergeReScan(Merge *node, ExprContext *exprCtxt, Plan *parent);
extern void ExecMergeMarkPos(Merge *node);
extern void ExecMergeRestrPos(Merge *node);
extern List * AccountMerge(Merge * node);
#endif	/* NODEMERGE_H */
