# Mariposa makefile
ifndef P95
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for the (backend side) libpq module
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/devel/mariposa/cvs/src/backend/libpq/Makefile.inc,v 0.6 1996/06/07 04:56:34 am Exp $
#
#-------------------------------------------------------------------------

#
# The frontend libpq interfaces to the backend through these files.
#
VPATH:= $(VPATH):$(CURDIR)/libpq

SRCS_LIBPQ= be-dumpdata.c be-fsstubs.c be-pqexec.c

#
# These files are shared with the frontend library.
#
SRCS_LIBPQ+= auth.c pqcomm.c portal.c portalbuf.c pqpacket.c pqsignal.c

SRCS_SITEMGR+= auth.c pqcomm.c portal.c portalbuf.c pqpacket.c pqsignal.c


HEADERS+= auth.h be-fsstubs.h libpq-be.h libpq-fs.h libpq.h pqcomm.h pqsignal.h

# Postgres95 makefile
else # P95
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for the (backend side) libpq module
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/devel/mariposa/cvs/src/backend/libpq/Makefile.inc,v 0.6 1996/06/07 04:56:34 am Exp $
#
#-------------------------------------------------------------------------

#
# The frontend libpq interfaces to the backend through these files.
#
VPATH:= $(VPATH):$(CURDIR)/libpq

SRCS_LIBPQ= be-dumpdata.c be-fsstubs.c be-pqexec.c

#
# These files are shared with the frontend library.
#
SRCS_LIBPQ+= auth.c pqcomm.c portal.c portalbuf.c pqpacket.c pqsignal.c

HEADERS+= auth.h be-fsstubs.h libpq-be.h libpq-fs.h libpq.h pqcomm.h pqsignal.h
endif # P95
