/*-------------------------------------------------------------------------
 *
 * keywords.h--
 *    string,atom lookup thingy, reduces strcmp traffic greatly   
 *    in the bowels of the system.  Look for actual defs in lib/C/atoms.c
 *
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * $Id: keywords.h,v 1.2 1996/06/07 04:57:48 am Exp $
 *
 *-------------------------------------------------------------------------
 */
#ifndef	KEYWORDS_H
#define	KEYWORDS_H

typedef struct ScanKeyword {
    char *name;
    int	value;
} ScanKeyword;

extern ScanKeyword *ScanKeywordLookup(char *text);
#ifndef P95
extern String AtomValueGetString(int atomval);
#else /* P95 */
extern char* AtomValueGetString(int atomval);
#endif /* P95 */

#endif	/* KEYWORDS_H */
