#ifndef P95
/*-------------------------------------------------------------------------
 *
 * dlfcn.h--
 * [Mariposa]    
 * @(#)dlfcn.h	1.3 revision of 92/12/27  20:58:32
 * This is an unpublished work copyright (c) 1992 Helios Software GmbH
 * 3000 Hannover 1, Germany
 * 
 * [Postgres95]
 * @(#)dlfcn.h	1.4 revision of 95/04/25  09:36:52
 * This is an unpublished work copyright (c) 1992 HELIOS Software GmbH
 * 30159 Hannover, Germany
 *
 * $Id: dlfcn.h,v 0.2 1996/06/07 04:58:05 am Exp $
 *
 *-------------------------------------------------------------------------
*/

#ifndef P95
#ifndef DLFCN_H
#define DLFCN_H
#endif /* P95 */

#ifdef P95
#ifndef __dlfcn_h__
#define __dlfcn_h__

#ifdef __cplusplus
extern "C" {
#endif

#endif /* P95 */
/*
 * Mode flags for the dlopen routine.
 */
#ifndef P95
#define RTLD_LAZY	1
#define RTLD_NOW	2
#else /* P95 */
#define RTLD_LAZY	1	/* lazy function call binding */
#define RTLD_NOW	2	/* immediate function call binding */
#define RTLD_GLOBAL	0x100	/* allow symbols to be global */
#endif /* P95 */

/*
 * To be able to intialize, a library may provide a dl_info structure
 * that contains functions to be called to initialize and terminate.
 */
struct dl_info {
	void (*init)(void);
	void (*fini)(void);
};

#if __STDC__ || defined(_IBMR2)
void *dlopen(const char *path, int mode);
void *dlsym(void *handle, const char *symbol);
char *dlerror(void);
int dlclose(void *handle);
#else
void *dlopen();
void *dlsym();
char *dlerror();
int dlclose();
#endif

#ifndef P95
#endif	/* DLFCN_H */
#else /* P95 */
#ifdef __cplusplus
}
#endif

#endif /* __dlfcn_h__ */
#endif /* P95 */
