/*-------------------------------------------------------------------------
 *
 * rewriteSupport.h--
 *    
 *
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * $Id: rewriteSupport.h,v 1.4 1996/06/07 04:59:21 am Exp $
 *
 *-------------------------------------------------------------------------
 */
#ifndef	REWRITESUPPORT_H
#define	REWRITESUPPORT_H

#include "nodes/pg_list.h"

#ifndef P95
extern int IsDefinedRewriteRule(Name ruleName);
#else /* P95 */
extern int IsDefinedRewriteRule(char *ruleName);
#endif /* P95 */

extern void prs2_addToRelation(Oid relid, Oid ruleId, CmdType event_type,
		   AttrNumber attno, bool isInstead, Node *qual,
		   List *actions);
extern void prs2_deleteFromRelation(Oid relid, Oid ruleId);


#endif	/* REWRITESUPPORT_H */

