/*-------------------------------------------------------------------------
 *
 * rpctypes.x--
 *    
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * $Id: rpctypes.x,v 1.9 1995/04/13 04:30:03 searcher Exp $
 *
 *-------------------------------------------------------------------------
 */
#ifdef RPC_HDR
%#ifndef RPCTYPES_H
%#define RPCTYPES_H
#endif

const SITEMGRPORT = 0;

typedef opaque RPCOpaque<>;
typedef int RPCFlag;
typedef int RPCErrorCode;


/*
 * RPCSockAddr is the same as struct sockaddr_in,
 * copied from <netinet/in.h>.
 * It is copied here so the XDR routines will be generated.
 */

/* 
 * struct RPCInAddr {
 *
 *     u_int s_addr;
 * };
 */

/*
 * #if defined(_SOCKADDR_LEN) || defined(_KERNEL)
 * struct RPCSockAddr {
 *     u_char sin_len;
 *     u_char sin_family;
 *     u_short sin_port;
 *     RPCInAddr sin_addr;
 *     char sin_zero[8];
 * };
 * #else
 * struct RPCSockAddr {
 *     u_short sin_family;
 *     u_short sin_port;
 *     RPCInAddr sin_addr;
 *     char sin_zero[8];
 * };
 * #endif
 */

struct SiteAddr {
    unsigned int port;      /* SiteMgr port */
    unsigned int addr;	    /* tcp address  */
    unsigned int hostid;    /* hostid */
};

struct TransmitReturn {
    RPCErrorCode error;
    SiteAddr port;
};

typedef int RequestId;
typedef int ContractId;

/*
typedef int QepFragmentId;
 */

typedef opaque Tuple<>;
typedef Tuple TupleArray<>;
typedef TupleArray TupleArrayArray<>;

#ifdef RPC_HDR
%#endif
#endif
