struct RequestInfo
{
    char * next;
    int platter;
    int relname;
    int cacheLoad;
    float cost;
    ListX singleRelQuery;
    ListX joinQuery;
};

typedef struct RequestInfo RequestData;
typedef struct RequestInfo * RequestPtr;

enum dir {FORWARD, BACKWARD};

struct JoinEdge
{
    char * next;
    RequestPtr reqPtr;
    QueryPtr   query;
    enum dir direction;
};

typedef struct JoinEdge * JoinEdgePtr;
typedef struct JoinEdge JoinEdgeData;

void PrintReqStruct PROTO((RequestPtr req));
void PrintJoinStruct PROTO((JoinEdgePtr join));


