# Mariposa makefile
ifndef P95
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for the storage modules
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/devel/mariposa/cvs/src/backend/storage/Makefile.inc,v 0.6 1996/06/07 04:59:25 am Exp $
#
#-------------------------------------------------------------------------

stordir= $(CURDIR)/storage
VPATH:= $(VPATH):$(stordir):$(stordir)/buffer:$(stordir)/file:$(stordir)/ipc:\
	$(stordir)/large_object:$(stordir)/lmgr:$(stordir)/page:\
	$(stordir)/smgr:$(stordir)/usage_stat

SUBSRCS=
include $(stordir)/buffer/Makefile.inc
include $(stordir)/file/Makefile.inc
include $(stordir)/ipc/Makefile.inc
include $(stordir)/large_object/Makefile.inc
include $(stordir)/lmgr/Makefile.inc
include $(stordir)/page/Makefile.inc
include $(stordir)/smgr/Makefile.inc
include $(stordir)/usage_stat/Makefile.inc
SRCS_STORAGE:= $(SUBSRCS)

HEADERS+= backendid.h block.h buf.h buf_internals.h bufmgr.h bufpage.h \
	fd.h ipc.h item.h itemid.h itempos.h \
	itemptr.h large_object.h lmgr.h lock.h multilev.h off.h page.h \
	pagenum.h pos.h proc.h shmem.h sinval.h sinvaladt.h smgr.h spin.h \
	us_internals.h usage_stat.h
# Postgres95 makefile
else # P95
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for the storage modules
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/devel/mariposa/cvs/src/backend/storage/Makefile.inc,v 0.6 1996/06/07 04:59:25 am Exp $
#
#-------------------------------------------------------------------------

stordir= $(CURDIR)/storage
VPATH:= $(VPATH):$(stordir):$(stordir)/buffer:$(stordir)/file:$(stordir)/ipc:\
	$(stordir)/large_object:$(stordir)/lmgr:$(stordir)/page:$(stordir)/smgr

SUBSRCS=
include $(stordir)/buffer/Makefile.inc
include $(stordir)/file/Makefile.inc
include $(stordir)/ipc/Makefile.inc
include $(stordir)/large_object/Makefile.inc
include $(stordir)/lmgr/Makefile.inc
include $(stordir)/page/Makefile.inc
include $(stordir)/smgr/Makefile.inc
SRCS_STORAGE:= $(SUBSRCS)

HEADERS+= backendid.h block.h buf.h buf_internals.h bufmgr.h bufpage.h \
	fd.h ipc.h item.h itemid.h itempos.h \
	itemptr.h large_object.h lmgr.h lock.h multilev.h off.h page.h \
	pagenum.h pos.h proc.h shmem.h sinval.h sinvaladt.h smgr.h spin.h
endif # P95
