/*-------------------------------------------------------------------------
 *
 * coord.h--
 *    header file for coord.c
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * $Id: coord.h,v 1.5 1996/02/26 16:23:23 jsidell Exp $
 *
 *-------------------------------------------------------------------------
 */
#ifndef COORD_H
#define COORD_H

void SendOffers(QueryDesc *queryDesc);
void NotifyContractWon(QueryDesc *queryDesc);

/*
 * Need to be able to access the parent node
 * of query fragments to be able to record the
 * sites to which intermediate results are sent.
 */
typedef struct CoordPlan {
    Plan *plan;
    Plan *parentNode;
} CoordPlan;

#endif	/* COORD_H */
