/*-------------------------------------------------------------------------
 *
 * tcopprot.h--
 *    prototypes for postgres.c.
 *
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * $Id: tcopprot.h,v 0.4 1996/06/07 05:00:28 am Exp $
 *
 * OLD COMMENTS
 *    This file was created so that other c files could get the two
 *    function prototypes without having to include tcop.h which single
 *    handedly includes the whole f*cking tree -- mer 5 Nov. 1991
 *
 *-------------------------------------------------------------------------
 */
#ifndef TCOPPROT_H
#define TCOPPROT_H

#include "tcop/dest.h"
#include "nodes/pg_list.h"
#include "parser/parse_query.h"

#ifndef P95
/*  moved to postgres.c as statics
extern char InteractiveBackend(char *inBuf);
extern char SocketBackend(char *inBuf, int multiplexedBackend);
extern char ReadCommand(char *inBuf, int multiplexedBackend);
*/

#endif /* P95 */
#ifndef BOOTSTRAP_INCLUDE
#ifndef P95
extern List *pg_plan(String query_string, Oid *typev, int nargs,
#else /* P95 */
extern List *pg_plan(char *query_string, Oid *typev, int nargs,
#endif /* P95 */
		     QueryTreeList **queryListP, CommandDest dest);
#ifndef P95
extern void pg_eval(String query_string, char *argv, Oid *typev, int nargs);
extern void pg_eval_dest(String query_string, char *argv, Oid *typev,
#else /* P95 */
extern void pg_eval(char *query_string, char *argv[], Oid *typev, int nargs);
extern void pg_eval_dest(char *query_string, char *argv[], Oid *typev,
#endif /* P95 */
			 int nargs, CommandDest dest);
#endif /* BOOTSTRAP_HEADER */

extern void handle_warn();
extern void quickdie();
extern void die();
extern int PostgresMain(int argc, char *argv[]);
extern void ResetUsage();
extern void ShowUsage();

#endif /* tcopprotIncluded */
