/*-------------------------------------------------------------------------
 *
 * excabort.c--
 *    Default exception abort code.
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *    $Header: /usr/local/devel/mariposa/cvs/src/backend/utils/error/excabort.c,v 0.1 1994/11/16 10:06:56 andrew Exp $
 *
 *-------------------------------------------------------------------------
 */
#include "utils/exc.h"		/* where function declarations go */

void
ExcAbort(const Exception *excP, 
	 ExcDetail detail, 
	 ExcData data,
	 ExcMessage message)
{
#ifdef	__SABER__
    saber_stop();
#else
    /* dump core */
    abort();
#endif
}
