/*-------------------------------------------------------------------------
 *
 * palloc.h--
 *    POSTGRES memory allocator definitions.
 *
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * $Id: palloc.h,v 0.4 1996/06/07 05:00:50 am Exp $
 *
 *-------------------------------------------------------------------------
 */
#ifndef	PALLOC_H
#define PALLOC_H

#include "c.h"

extern void*   palloc(Size size);
extern void    pfree(void *pointer); 
extern void *repalloc(void *pointer, Size size);

#ifdef P95
/* like strdup except uses palloc */
extern char* pstrdup(char* pointer);

#endif /* P95 */
#endif	/* PALLOC_H */
