#
# lookcook.awk
#
# cat each monitor file from pgcook into this script:
#	% cat pgcook12345.[0-9]* | awk -f lookcook.awk
#
# $Header: /usr/local/devel/mariposa/cvs/src/test/multi/lookcook.awk,v 1.1 1994/11/16 10:07:59 andrew Exp $
#
BEGIN {
	insert = 0;
	update = 0;
	select = 0;
	last = "";
}
{
	if ($0 ~ /deadlock/) {
		if (last ~ /insert/) {
			insert += 1;
		} else if (last ~ /select/) {
			select += 1;
		} else if (last ~ /update/) {
			update += 1;
		}
	}
	last = $0;
}
END {
	print "inserts=" insert;
	print "updates=" update;
	print "select=" select;
}
